#[allow(dead_code)]
pub const JA_PUNC: [char; 18] = [
    '！', '？', '。', '：', '・', '、', '〜', 'ー', '「', '」', '『', '』', '［', '］', '（', '）', '｛', '｝',
];

#[allow(dead_code)]
pub const EN_PUNC: [char; 18] = [
    '!', '?', '.', ':', '/', ',', '~', '-', '‘', '’', '“', '”', '[', ']', '(', ')', '{', '}',
];

#[allow(dead_code)]
pub const ROMA_TO_HIRA_KATA: [[&str; 3]; 338] = [
    /* symbols that should all be the same after conversion */
    ["ヶ", "ヶ", "ヶ"],
    ["ヵ", "ヵ", "ヵ"],
    ["1", "1", "1"],
    ["@", "@", "@"],
    ["#", "#", "#"],
    ["$", "$", "$"],
    ["%", "%", "%"],
    /* should all convert */
    ["!", "！", "！"],
    ["?", "？", "？"],
    [".", "。", "。"],
    [":", "：", "："],
    ["/", "・", "・"],
    [",", "、", "、"],
    ["~", "〜", "〜"],
    ["-", "ー", "ー"],
    ["‘", "「", "「"],
    ["’", "」", "」"],
    ["“", "『", "『"],
    ["”", "』", "』"],
    ["[", "［", "［"],
    ["]", "］", "］"],
    ["(", "（", "（"],
    [")", "）", "）"],
    ["{", "｛", "｛"],
    ["}", "｝", "｝"],
    ["a", "あ", "ア"],
    ["i", "い", "イ"],
    ["u", "う", "ウ"],
    ["e", "え", "エ"],
    ["o", "お", "オ"],
    ["la", "ぁ", "ァ"],
    ["xa", "ぁ", "ァ"],
    ["li", "ぃ", "ィ"],
    ["xi", "ぃ", "ィ"],
    ["lu", "ぅ", "ゥ"],
    ["xu", "ぅ", "ゥ"],
    ["le", "ぇ", "ェ"],
    ["xe", "ぇ", "ェ"],
    ["lo", "ぉ", "ォ"],
    ["xo", "ぉ", "ォ"],
    ["yi", "い", "イ"],
    ["wu", "う", "ウ"],
    ["whu", "う", "ウ"],
    ["xa", "ぁ", "ァ"],
    ["xi", "ぃ", "ィ"],
    ["xu", "ぅ", "ゥ"],
    ["xe", "ぇ", "ェ"],
    ["xo", "ぉ", "ォ"],
    ["xyi", "ぃ", "ィ"],
    ["xye", "ぇ", "ェ"],
    ["ye", "いぇ", "イェ"],
    ["wha", "うぁ", "ウァ"],
    ["whi", "うぃ", "ウィ"],
    ["whe", "うぇ", "ウェ"],
    ["who", "うぉ", "ウォ"],
    ["wi", "うぃ", "ウィ"],
    ["we", "うぇ", "ウェ"],
    ["va", "ゔぁ", "ヴァ"],
    ["vi", "ゔぃ", "ヴィ"],
    ["vu", "ゔ", "ヴ"],
    ["ve", "ゔぇ", "ヴェ"],
    ["vo", "ゔぉ", "ヴォ"],
    ["vyi", "ゔぃ", "ヴィ"],
    ["vye", "ゔぇ", "ヴェ"],
    ["vya", "ゔゃ", "ヴャ"],
    ["vyu", "ゔゅ", "ヴュ"],
    ["vyo", "ゔょ", "ヴョ"],
    ["ka", "か", "カ"],
    ["ki", "き", "キ"],
    ["ku", "く", "ク"],
    ["ke", "け", "ケ"],
    ["ko", "こ", "コ"],
    ["lka", "ヵ", "ヵ"],
    ["lke", "ヶ", "ヶ"],
    ["xka", "ヵ", "ヵ"],
    ["xke", "ヶ", "ヶ"],
    ["kya", "きゃ", "キャ"],
    ["kyi", "きぃ", "キィ"],
    ["kyu", "きゅ", "キュ"],
    ["kye", "きぇ", "キェ"],
    ["kyo", "きょ", "キョ"],
    ["ca", "か", "カ"],
    ["ci", "き", "キ"],
    ["cu", "く", "ク"],
    ["ce", "け", "ケ"],
    ["co", "こ", "コ"],
    ["lca", "ヵ", "ヵ"],
    ["lce", "ヶ", "ヶ"],
    ["xca", "ヵ", "ヵ"],
    ["xce", "ヶ", "ヶ"],
    ["qya", "くゃ", "クャ"],
    ["qyu", "くゅ", "クュ"],
    ["qyo", "くょ", "クョ"],
    ["qwa", "くぁ", "クァ"],
    ["qwi", "くぃ", "クィ"],
    ["qwu", "くぅ", "クゥ"],
    ["qwe", "くぇ", "クェ"],
    ["qwo", "くぉ", "クォ"],
    ["qa", "くぁ", "クァ"],
    ["qi", "くぃ", "クィ"],
    ["qe", "くぇ", "クェ"],
    ["qo", "くぉ", "クォ"],
    ["kwa", "くぁ", "クァ"],
    ["qyi", "くぃ", "クィ"],
    ["qye", "くぇ", "クェ"],
    ["ga", "が", "ガ"],
    ["gi", "ぎ", "ギ"],
    ["gu", "ぐ", "グ"],
    ["ge", "げ", "ゲ"],
    ["go", "ご", "ゴ"],
    ["gya", "ぎゃ", "ギャ"],
    ["gyi", "ぎぃ", "ギィ"],
    ["gyu", "ぎゅ", "ギュ"],
    ["gye", "ぎぇ", "ギェ"],
    ["gyo", "ぎょ", "ギョ"],
    ["gwa", "ぐぁ", "グァ"],
    ["gwi", "ぐぃ", "グィ"],
    ["gwu", "ぐぅ", "グゥ"],
    ["gwe", "ぐぇ", "グェ"],
    ["gwo", "ぐぉ", "グォ"],
    ["sa", "さ", "サ"],
    ["si", "し", "シ"],
    ["su", "す", "ス"],
    ["se", "せ", "セ"],
    ["so", "そ", "ソ"],
    ["shi", "し", "シ"],
    ["za", "ざ", "ザ"],
    ["zi", "じ", "ジ"],
    ["zu", "ず", "ズ"],
    ["ze", "ぜ", "ゼ"],
    ["zo", "ぞ", "ゾ"],
    ["ji", "じ", "ジ"],
    ["sya", "しゃ", "シャ"],
    ["syi", "しぃ", "シィ"],
    ["syu", "しゅ", "シュ"],
    ["sye", "しぇ", "シェ"],
    ["syo", "しょ", "ショ"],
    ["sha", "しゃ", "シャ"],
    ["shu", "しゅ", "シュ"],
    ["she", "しぇ", "シェ"],
    ["sho", "しょ", "ショ"],
    ["shya", "しゃ", "シャ"],
    ["shyu", "しゅ", "シュ"],
    ["shye", "しぇ", "シェ"],
    ["shyo", "しょ", "ショ"],
    ["swa", "すぁ", "スァ"],
    ["swi", "すぃ", "スィ"],
    ["swu", "すぅ", "スゥ"],
    ["swe", "すぇ", "スェ"],
    ["swo", "すぉ", "スォ"],
    ["zya", "じゃ", "ジャ"],
    ["zyi", "じぃ", "ジィ"],
    ["zyu", "じゅ", "ジュ"],
    ["zye", "じぇ", "ジェ"],
    ["zyo", "じょ", "ジョ"],
    ["ja", "じゃ", "ジャ"],
    ["ju", "じゅ", "ジュ"],
    ["je", "じぇ", "ジェ"],
    ["jo", "じょ", "ジョ"],
    ["jya", "じゃ", "ジャ"],
    ["jyi", "じぃ", "ジィ"],
    ["jyu", "じゅ", "ジュ"],
    ["jye", "じぇ", "ジェ"],
    ["jyo", "じょ", "ジョ"],
    ["ta", "た", "タ"],
    ["ti", "ち", "チ"],
    ["tu", "つ", "ツ"],
    ["te", "て", "テ"],
    ["to", "と", "ト"],
    ["chi", "ち", "チ"],
    ["tsu", "つ", "ツ"],
    ["ltu", "っ", "ッ"],
    ["xtu", "っ", "ッ"],
    ["ltsu", "っ", "ッ"],
    ["tya", "ちゃ", "チャ"],
    ["tyi", "ちぃ", "チィ"],
    ["tyu", "ちゅ", "チュ"],
    ["tye", "ちぇ", "チェ"],
    ["tyo", "ちょ", "チョ"],
    ["cha", "ちゃ", "チャ"],
    ["chu", "ちゅ", "チュ"],
    ["che", "ちぇ", "チェ"],
    ["cho", "ちょ", "チョ"],
    ["cya", "ちゃ", "チャ"],
    ["cyi", "ちぃ", "チィ"],
    ["cyu", "ちゅ", "チュ"],
    ["cye", "ちぇ", "チェ"],
    ["cyo", "ちょ", "チョ"],
    ["chya", "ちゃ", "チャ"],
    ["chyu", "ちゅ", "チュ"],
    ["chye", "ちぇ", "チェ"],
    ["chyo", "ちょ", "チョ"],
    ["tsa", "つぁ", "ツァ"],
    ["tsi", "つぃ", "ツィ"],
    ["tse", "つぇ", "ツェ"],
    ["tso", "つぉ", "ツォ"],
    ["tha", "てゃ", "テャ"],
    ["thi", "てぃ", "ティ"],
    ["thu", "てゅ", "テュ"],
    ["the", "てぇ", "テェ"],
    ["tho", "てょ", "テョ"],
    ["twa", "とぁ", "トァ"],
    ["twi", "とぃ", "トィ"],
    ["twu", "とぅ", "トゥ"],
    ["twe", "とぇ", "トェ"],
    ["two", "とぉ", "トォ"],
    ["da", "だ", "ダ"],
    ["di", "ぢ", "ヂ"],
    ["du", "づ", "ヅ"],
    ["de", "で", "デ"],
    ["do", "ど", "ド"],
    ["dya", "ぢゃ", "ヂャ"],
    ["dyi", "ぢぃ", "ヂィ"],
    ["dyu", "ぢゅ", "ヂュ"],
    ["dye", "ぢぇ", "ヂェ"],
    ["dyo", "ぢょ", "ヂョ"],
    ["dha", "でゃ", "デャ"],
    ["dhi", "でぃ", "ディ"],
    ["dhu", "でゅ", "デュ"],
    ["dhe", "でぇ", "デェ"],
    ["dho", "でょ", "デョ"],
    ["dwa", "どぁ", "ドァ"],
    ["dwi", "どぃ", "ドィ"],
    ["dwu", "どぅ", "ドゥ"],
    ["dwe", "どぇ", "ドェ"],
    ["dwo", "どぉ", "ドォ"],
    ["na", "な", "ナ"],
    ["ni", "に", "ニ"],
    ["nu", "ぬ", "ヌ"],
    ["ne", "ね", "ネ"],
    ["no", "の", "ノ"],
    ["nya", "にゃ", "ニャ"],
    ["nyi", "にぃ", "ニィ"],
    ["nyu", "にゅ", "ニュ"],
    ["nye", "にぇ", "ニェ"],
    ["nyo", "にょ", "ニョ"],
    ["ha", "は", "ハ"],
    ["hi", "ひ", "ヒ"],
    ["hu", "ふ", "フ"],
    ["he", "へ", "ヘ"],
    ["ho", "ほ", "ホ"],
    ["fu", "ふ", "フ"],
    ["hya", "ひゃ", "ヒャ"],
    ["hyi", "ひぃ", "ヒィ"],
    ["hyu", "ひゅ", "ヒュ"],
    ["hye", "ひぇ", "ヒェ"],
    ["hyo", "ひょ", "ヒョ"],
    ["fya", "ふゃ", "フャ"],
    ["fyu", "ふゅ", "フュ"],
    ["fyo", "ふょ", "フョ"],
    ["fwa", "ふぁ", "ファ"],
    ["fwi", "ふぃ", "フィ"],
    ["fwu", "ふぅ", "フゥ"],
    ["fwe", "ふぇ", "フェ"],
    ["fwo", "ふぉ", "フォ"],
    ["fa", "ふぁ", "ファ"],
    ["fi", "ふぃ", "フィ"],
    ["fe", "ふぇ", "フェ"],
    ["fo", "ふぉ", "フォ"],
    ["fyi", "ふぃ", "フィ"],
    ["fye", "ふぇ", "フェ"],
    ["ba", "ば", "バ"],
    ["bi", "び", "ビ"],
    ["bu", "ぶ", "ブ"],
    ["be", "べ", "ベ"],
    ["bo", "ぼ", "ボ"],
    ["bya", "びゃ", "ビャ"],
    ["byi", "びぃ", "ビィ"],
    ["byu", "びゅ", "ビュ"],
    ["bye", "びぇ", "ビェ"],
    ["byo", "びょ", "ビョ"],
    ["pa", "ぱ", "パ"],
    ["pi", "ぴ", "ピ"],
    ["pu", "ぷ", "プ"],
    ["pe", "ぺ", "ペ"],
    ["po", "ぽ", "ポ"],
    ["pya", "ぴゃ", "ピャ"],
    ["pyi", "ぴぃ", "ピィ"],
    ["pyu", "ぴゅ", "ピュ"],
    ["pye", "ぴぇ", "ピェ"],
    ["pyo", "ぴょ", "ピョ"],
    ["ma", "ま", "マ"],
    ["mi", "み", "ミ"],
    ["mu", "む", "ム"],
    ["me", "め", "メ"],
    ["mo", "も", "モ"],
    ["mya", "みゃ", "ミャ"],
    ["myi", "みぃ", "ミィ"],
    ["myu", "みゅ", "ミュ"],
    ["mye", "みぇ", "ミェ"],
    ["myo", "みょ", "ミョ"],
    ["ya", "や", "ヤ"],
    ["yu", "ゆ", "ユ"],
    ["yo", "よ", "ヨ"],
    ["xya", "ゃ", "ャ"],
    ["xyu", "ゅ", "ュ"],
    ["xyo", "ょ", "ョ"],
    ["ra", "ら", "ラ"],
    ["ri", "り", "リ"],
    ["ru", "る", "ル"],
    ["re", "れ", "レ"],
    ["ro", "ろ", "ロ"],
    ["rya", "りゃ", "リャ"],
    ["ryi", "りぃ", "リィ"],
    ["ryu", "りゅ", "リュ"],
    ["rye", "りぇ", "リェ"],
    ["ryo", "りょ", "リョ"],
    ["wa", "わ", "ワ"],
    ["wo", "を", "ヲ"],
    ["lwa", "ゎ", "ヮ"],
    ["xwa", "ゎ", "ヮ"],
    ["n", "ん", "ン"],
    ["nn", "んん", "ンン"],
    ["xn", "ん", "ン"],
    // double consonants
    ["atta", "あった", "アッタ"],
    ["gakkounakatta", "がっこうなかった", "ガッコウナカッタ"],
    ["babba", "ばっば", "バッバ"],
    ["cacca", "かっか", "カッカ"],
    ["chaccha", "ちゃっちゃ", "チャッチャ"],
    ["dadda", "だっだ", "ダッダ"],
    ["fuffu", "ふっふ", "フッフ"],
    ["gagga", "がっが", "ガッガ"],
    ["hahha", "はっは", "ハッハ"],
    ["jajja", "じゃっじゃ", "ジャッジャ"],
    ["kakka", "かっか", "カッカ"],
    ["mamma", "まっま", "マッマ"],
    ["nanna", "なんな", "ナンナ"],
    ["pappa", "ぱっぱ", "パッパ"],
    ["qaqqa", "くぁっくぁ", "クァックァ"],
    ["rarra", "らっら", "ラッラ"],
    ["sassa", "さっさ", "サッサ"],
    ["shassha", "しゃっしゃ", "シャッシャ"],
    ["tatta", "たった", "タッタ"],
    ["tsuttsu", "つっつ", "ツッツ"],
    ["vavva", "ゔぁっゔぁ", "ヴァッヴァ"],
    ["wawwa", "わっわ", "ワッワ"],
    ["yayya", "やっや", "ヤッヤ"],
    ["zazza", "ざっざ", "ザッザ"],
];

#[allow(dead_code)]
pub const HIRA_KATA_TO_ROMA: [[&str; 3]; 192] = [
    // symbols that should all be the same after conversion
    ["ヶ", "ヶ", "ヶ"],
    ["ヵ", "ヵ", "ヵ"],
    ["1", "1", "1"],
    ["@", "@", "@"],
    ["#", "#", "#"],
    ["$", "$", "$"],
    ["%", "%", "%"],
    // quick brown fox / iroha
    ["いろはにほへと", "イロハニホヘト", "irohanihoheto"],
    ["ちりぬるを", "チリヌルヲ", "chirinuruwo"],
    ["わかよたれそ", "ワカヨタレソ", "wakayotareso"],
    ["つねならむ", "ツネナラム", "tsunenaramu"],
    ["うゐのおくやま", "ウヰノオクヤマ", "uwinookuyama"],
    ["けふこえて", "ケフコエテ", "kefukoete"],
    ["あさきゆめみし", "アサキユメミシ", "asakiyumemishi"],
    ["ゑひもせすん", "ヱヒモセスン", "wehimosesun"],
    /* should all convert */
    ["！", "！", "!"],
    ["？", "？", "?"],
    ["。", "。", "."],
    ["：", "：", ":"],
    ["・", "・", "/"],
    ["、", "、", ","],
    ["〜", "〜", "~"],
    ["ー", "ー", "-"],
    ["「", "「", "‘"],
    ["」", "」", "’"],
    ["『", "『", "“"],
    ["』", "』", "”"],
    ["［", "［", "["],
    ["］", "］", "]"],
    ["（", "（", "("],
    ["）", "）", ")"],
    ["｛", "｛", "{"],
    ["｝", "｝", "}"],
    // hepburn
    ["か", "カ", "ka"],
    ["き", "キ", "ki"],
    ["く", "ク", "ku"],
    ["け", "ケ", "ke"],
    ["こ", "コ", "ko"],
    ["きゃ", "キャ", "kya"],
    ["きゅ", "キュ", "kyu"],
    ["きょ", "キョ", "kyo"],
    ["さ", "サ", "sa"],
    ["し", "シ", "shi"],
    ["す", "ス", "su"],
    ["せ", "セ", "se"],
    ["そ", "ソ", "so"],
    ["しゃ", "シャ", "sha"],
    ["しゅ", "シュ", "shu"],
    ["しょ", "ショ", "sho"],
    ["た", "タ", "ta"],
    ["ち", "チ", "chi"],
    ["つ", "ツ", "tsu"],
    ["て", "テ", "te"],
    ["と", "ト", "to"],
    ["ちゃ", "チャ", "cha"],
    ["ちゅ", "チュ", "chu"],
    ["ちょ", "チョ", "cho"],
    ["な", "ナ", "na"],
    ["に", "ニ", "ni"],
    ["ぬ", "ヌ", "nu"],
    ["ね", "ネ", "ne"],
    ["の", "ノ", "no"],
    ["にゃ", "ニャ", "nya"],
    ["にゅ", "ニュ", "nyu"],
    ["にょ", "ニョ", "nyo"],
    ["は", "ハ", "ha"],
    ["ひ", "ヒ", "hi"],
    ["ふ", "フ", "fu"],
    ["へ", "ヘ", "he"],
    ["ほ", "ホ", "ho"],
    ["ひゃ", "ヒャ", "hya"],
    ["ひゅ", "ヒュ", "hyu"],
    ["ひょ", "ヒョ", "hyo"],
    ["ま", "マ", "ma"],
    ["み", "ミ", "mi"],
    ["む", "ム", "mu"],
    ["め", "メ", "me"],
    ["も", "モ", "mo"],
    ["みゃ", "ミャ", "mya"],
    ["みゅ", "ミュ", "myu"],
    ["みょ", "ミョ", "myo"],
    ["ら", "ラ", "ra"],
    ["り", "リ", "ri"],
    ["る", "ル", "ru"],
    ["れ", "レ", "re"],
    ["ろ", "ロ", "ro"],
    ["りゃ", "リャ", "rya"],
    ["りゅ", "リュ", "ryu"],
    ["りょ", "リョ", "ryo"],
    ["や", "ヤ", "ya"],
    ["ゆ", "ユ", "yu"],
    ["よ", "ヨ", "yo"],
    ["わ", "ワ", "wa"],
    ["ゐ", "ヰ", "wi"],
    ["ゑ", "ヱ", "we"],
    ["を", "ヲ", "wo"],
    // dakuten
    ["が", "ガ", "ga"],
    ["ぎ", "ギ", "gi"],
    ["ぐ", "グ", "gu"],
    ["げ", "ゲ", "ge"],
    ["ご", "ゴ", "go"],
    ["ぎゃ", "ギャ", "gya"],
    ["ぎゅ", "ギュ", "gyu"],
    ["ぎょ", "ギョ", "gyo"],
    ["ざ", "ザ", "za"],
    ["じ", "ジ", "ji"],
    ["ず", "ズ", "zu"],
    ["ぜ", "ゼ", "ze"],
    ["ぞ", "ゾ", "zo"],
    ["じゃ", "ジャ", "ja"],
    ["じゅ", "ジュ", "ju"],
    ["じょ", "ジョ", "jo"],
    ["だ", "ダ", "da"],
    ["ぢ", "ヂ", "ji"],
    ["づ", "ヅ", "zu"],
    ["で", "デ", "de"],
    ["ど", "ド", "do"],
    ["ぢゃ", "ヂャ", "ja"],
    ["ぢゅ", "ヂュ", "ju"],
    ["ぢょ", "ヂョ", "jo"],
    ["ば", "バ", "ba"],
    ["び", "ビ", "bi"],
    ["ぶ", "ブ", "bu"],
    ["べ", "ベ", "be"],
    ["ぼ", "ボ", "bo"],
    ["びゃ", "ビャ", "bya"],
    ["びゅ", "ビュ", "byu"],
    ["びょ", "ビョ", "byo"],
    ["ぱ", "パ", "pa"],
    ["ぴ", "ピ", "pi"],
    ["ぷ", "プ", "pu"],
    ["ぺ", "ペ", "pe"],
    ["ぽ", "ポ", "po"],
    ["ぴゃ", "ピャ", "pya"],
    ["ぴゅ", "ピュ", "pyu"],
    ["ぴょ", "ピョ", "pyo"],
    // little kana
    ["ぁ", "ァ", "a"],
    ["ぃ", "ィ", "i"],
    ["ぅ", "ゥ", "u"],
    ["ぇ", "ェ", "e"],
    ["ぉ", "ォ", "o"],
    ["っ", "ッ", ""],
    ["ゃ", "ャ", "ya"],
    ["ゅ", "ュ", "yu"],
    ["ょ", "ョ", "yo"],
    // n
    ["ん", "ン", "n"],
    ["んん", "ンン", "nn"],
    ["あんない", "アンナイ", "annai"],
    ["ぐんま", "グンマ", "gunma"],
    // double consonants
    ["あった", "アッタ", "atta"],
    ["がっこうなかった", "ガッコウナカッタ", "gakkounakatta"],
    ["けっか", "ケッカ", "kekka"],
    ["さっさと", "サッサト", "sassato"],
    ["ずっと", "ズット", "zutto"],
    ["きっぷ", "キップ", "kippu"],
    ["ざっし", "ザッシ", "zasshi"],
    ["いっしょ", "イッショ", "issho"],
    ["こっち", "コッチ", "kotchi"],
    ["まっちゃ", "マッチャ", "matcha"],
    ["みっつ", "ミッツ", "mittsu"],
    ["ばっば", "バッバ", "babba"],
    ["かっか", "カッカ", "kakka"],
    ["ちゃっちゃ", "チャッチャ", "chatcha"],
    ["だっだ", "ダッダ", "dadda"],
    ["ふっふ", "フッフ", "fuffu"],
    ["がっが", "ガッガ", "gagga"],
    ["はっは", "ハッハ", "hahha"],
    ["じゃっじゃ", "ジャッジャ", "jajja"],
    ["かっか", "カッカ", "kakka"],
    ["まっま", "マッマ", "mamma"],
    ["なんな", "ナンナ", "nanna"],
    ["ぱっぱ", "パッパ", "pappa"],
    ["らっら", "ラッラ", "rarra"],
    ["さっさ", "サッサ", "sassa"],
    ["しゃっしゃ", "シャッシャ", "shassha"],
    ["たった", "タッタ", "tatta"],
    ["つっつ", "ツッツ", "tsuttsu"],
    ["わっわ", "ワッワ", "wawwa"],
    ["ざっざ", "ザッザ", "zazza"],
    // hira long vowels
    ["がっこう", "", "gakkou"],
    ["とうきょう", "", "toukyou"],
    ["べんきょう", "", "benkyou"],
    ["でんぽう", "", "denpou"],
    ["きんようび", "", "kin'youbi"],
    ["こうし", "", "koushi"],
    // kata long vowels
    ["", "セーラー", "seeraa"],
    ["", "パーティー", "paateii"],
    ["", "ヒーター", "hiitaa"],
    ["", "タクシー", "takushii"],
    ["", "スーパーマン", "suupaaman"],
    ["", "バレーボール", "bareebooru"],
    ["", "ソール", "sooru"],
];
